Search Results for

Show / Hide Table of Contents

# Interface INativeAdLoader

A native object that can be used to load a native ad (once built).

##### Inherited Members

IDisposable.Dispose()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface INativeAdLoader : IDisposable

### Methods

#### LoadAd(Action<INativeAd?, AdError?>)

Sends a request and loads the INativeAd.

##### Declaration

    void LoadAd(Action<INativeAd?, AdError?> callback)

##### Parameters

Type | Name | Description
--- | --- | ---
Action<INativeAd, AdError?> | callback | Invoked when loading succeeds or fails.

##### Remarks

Success indicated by non-null INativeAd.